%define module  MIME-Lite
%define name    perl-%{module}
%define version 3.01
%define release %mkrel 8

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Low-calorie MIME generator 
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/MIME/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:  perl-devel >= 5.8.0
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
MIME::Lite is intended as a simple, standalone module for generating
(not parsing!) MIME messages... specifically, it allows you to output a
simple, decent single- or multi-part message with text or binary
attachments. It does not require that you have the Mail:: or MIME::
modules installed. 

%prep
%setup -q -n %{module}-%{version}

%build
chmod 644 README changes.pod lib/MIME/* examples/*
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{perl_vendorlib}/MIME/changes.pod

%files
%defattr(-,root,root)
%doc COPYING INSTALLING README changes.pod
%{perl_vendorlib}/MIME
%{_mandir}/*/*

%changelog
* Tue Jul 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.01-8mdv2007.0
- %%mkrel
- spec cleanup
- better summary

* Wed Jun 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.01-7mdk
- Rebuild, cleanup, trim description

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.01-6mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.01-5mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.01-4mdk
- fixed dir ownership (distlint)

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.01-3mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.01-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Franois Pons <fpons@mandrakesoft.com> 3.01-1mdk
- 3.01.

* Fri Feb 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.117-1mdk
- first mdk release  
